﻿
@inject Toolbelt.Blazor.I18nText.I18nText I18nText

<div>
    <ul class="nav flex-column">
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
                <span class="oi oi-home" aria-hidden="true"></span> @Text.Selezione
            </NavLink>
        </li>
    </ul>
</div>

<footer>
<div class="input-group mb-3">
    <div class="input-group-prepend">
        <span class="input-group-text" style="display:flex; align-items: flex-end;"><span class="oi oi-globe" id="basic-addon1"></span></span>
    </div>
    <select class="form-control" @onchange="OnChangeCurrentLang">
        <option value="en" selected="@(CurrentLang == "en")">English</option>
        <option value="it" selected="@(CurrentLang == "it-IT")">Italiano</option>
    </select>
</div>
</footer>

@code {
     private string CurrentLang;

    private I18nText.testi Text = new I18nText.testi();
    protected override async Task OnInitializedAsync()
    {
        var lang = await I18nText.GetCurrentLanguageAsync();
        if (new[] { "en", "it" }.Contains(lang.Split('-')[0]))
        {
            CurrentLang = lang;
        }
        else
        {
            CurrentLang = "en";
        }

        Text = await I18nText.GetTextTableAsync<I18nText.testi>(this);
        I18nText.ChangeLanguage += (s, a) =>
        {
            Console.WriteLine($"Language Changed: {a.LanguageCode}");
        };
    }

    private async Task OnChangeCurrentLang(ChangeEventArgs args)
    {
        Console.WriteLine($"OnChange: {args.Value}");
        CurrentLang = args.Value as string;
        await I18nText.SetCurrentLanguageAsync(CurrentLang);
     }
}
